import re

from setuptools import setup, find_packages

# Read the content of the README file
with open("README.md", encoding="utf-8") as f:
    long_description = f.read()
    # Remove p tags.
    pattern = re.compile(r'<p.*?>.*?</p>', re.DOTALL)
    long_description = re.sub(pattern, '', long_description)

# Read the content of the requirements.txt file
with open("requirements.txt", encoding="utf-8") as f:
    requirements = f.read().splitlines()


setup(
    name="knowledge-storm",
    version="0.2.4",
    author="Yijia Shao, Yucheng Jiang",
    author_email="shaoyj@stanford.edu, yuchengj@stanford.edu",
    description="STORM: A language model-powered knowledge curation engine.",
    long_description=long_description,
    long_description_content_type="text/markdown",
    url="https://github.com/stanford-oval/storm",
    license="MIT License",
    packages=find_packages(),
    classifiers=[
        "Development Status :: 3 - Alpha",
        "License :: OSI Approved :: MIT License",
        "Operating System :: OS Independent",
        "Programming Language :: Python :: 3",
        "Programming Language :: Python :: 3.9",
        "Programming Language :: Python :: 3.10",
        "Programming Language :: Python :: 3.11",
    ],
    python_requires='>=3.9',
    install_requires=requirements,
)
